/* main css styles */

:root {
  --main-text-color: #616161;
  --catch-color: #ff5722;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  color: white;
}

.project-title {
  color: #ff5722;
  display: block;
  text-align: center;
  margin: 1rem 0;
  font-weight: 700;
}
.tech-title {
  font-size: 1rem;
}

li.tech {
  margin-left: 2rem;
  font-size: 0.9rem;
  line-height: 150%;
  margin-top: 0.5rem;
}
li.tech::before {
  color: #ff5722;
  content: '\2022';
  display: inline-block;
  font-weight: bold;
  margin-left: -1em;
  width: 1em;
}
img {
  max-width: 100%;
}

html,
body {
  min-height: 100%;
  background-color: #020312;
  height: 100%;
  font-family: 'Roboto', sans-serif;
}
p {
  opacity: 0.5;
  line-height: 1.6rem;
}
label {
  opacity: 0.7;
}
ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
li {
  opacity: 0.8;
}
.my-form-status {
  width: 100%;
  padding: 0.5rem 0;
  text-align: center;
  background-color: #ff5722;
  color: #ffff;
  font-weight: 700;
  transition: 0.5s ease-in-out;
  border-radius: 60%;
}

.container {
  width: 85%;
  margin: auto;
}

.divider {
  height: 3rem;
  width: 100%;
}

.header-wrapper .mobile {
  display: none;
}

.badge {
  width: 3rem;
  height: 3rem;
  background-color: var(--catch-color);
  position: fixed;
  z-index: 2;
  top: 4%;
  left: 7.4%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.badge span {
  color: #fff;
  font-weight: 700;
}

/* end of main css styles */

/* header section */
header {
  background-color: #fff;
  width: 100%;
  position: fixed;
  z-index: 2;
}

.header-wrapper ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: flex-end;
  padding: 1.4% 0;
}

.header-wrapper ul li:not(:last-child) {
  margin-right: 1em;
}

.header-wrapper ul li {
  text-transform: uppercase;
  font-weight: 700;
  font-size: 0.9rem;
}

.header-wrapper ul li a {
  text-decoration: none;
  color: var(--main-text-color);
}
.header-wrapper ul li a:active,
a:focus {
  text-decoration: none;
  color: red;
}
.header-wrapper ul li a:focus {
  text-decoration: none;
  color: red;
}

/* end of header css */
.landingSection {
  width: 100%;
  background-image: url(images/chi.jpg);
  height: 92vh;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}

.content-area {
  display: grid;
  grid-template-columns: 60% 40%;
  grid-gap: 1rem;
}

.social-networks ul {
  padding-top: 10%;
  display: flex;
  justify-content: flex-start;
}

.social-networks ul li {
  font-size: 1.5rem;
}

.social-networks ul li:not(:last-child) {
  margin-right: 2rem;
}

.landingwrapper {
  width: 100%;
  height: 100%;
  background-color: rgba(2, 3, 18, 0.8);
}

.landing-content h1 {
  margin: 3% 0;
  font-size: 3rem;
  font-weight: 300;
}

.landing-content span {
  border: 3px solid #fff;
  padding: 2% 3%;
  display: inline-block;
  font-weight: 900;
  font-size: 2rem;
}

/* .landing-page-image {
    height: 100%;
    width: 100%;
} */
.landing-page-image img {
  margin-top: 5%;
  width: 100%;
  height: auto;
}

/* 
end of landing page section */
/* *************************************************************************
service section */

.servicetitle h2 {
  text-align: center;
  font-weight: 300;
  padding: 5%;
}

.serviceSectionContainer {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  grid-gap: 1rem;
  margin-bottom: 3rem;
}
/* .serviceSectionContainer div{
    width: 22rem;
    height: 15rem;

} */

.serviceSectionContainer div > img {
  display: block;
  margin: 2rem 0;
}

.serviceSectionContainer div > h3 {
  margin-bottom: 1rem;
}

.serviceSectionContainer div > p {
  color: #eeeeee;
  line-height: 1.6rem;
}

/* *********************************************************************
about me section */

.about-title h2 {
  margin: 15% 0 8% 0;
  text-align: center;
  font-size: 2rem;
  font-weight: 300;
}

.aboutmewrapper {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr;
  grid-gap: 2rem;
}
.myImage {
  max-height: 87%;
}

.myImage img {
  width: 100%;
  height: auto;
  margin: 0;
}

.description-and-contact > span {
  border: 3px solid #fff;
  padding: 3% 5%;
  display: inline-block;
  font-size: 1.4rem;
  font-weight: 300;
  margin-bottom: 2rem;
  margin-top: 1.4rem;
}
.description-and-contact > p {
  line-height: 1.6rem;
  color: #f5f5f5;
}
.contacts {
  border-bottom: 1px solid #e0e0e0;
  display: grid;
  grid-template-columns: 30% 30%;
  grid-template-rows: 10% 10%;
  grid-gap: 3.4rem;
}

.contactInfo > span:first-child {
  color: var(--catch-color);
  display: block;
  line-height: 1.6rem;
  margin-bottom: 3%;
  font-weight: 500;
}
.cv-and-contactme a {
  text-decoration: none;
  display: inline-block;
  margin: 2rem 0 0 0;
  padding: 2% 3%;
  text-transform: uppercase;
}
.cv-and-contactme a:first-child {
  background-color: var(--catch-color);
  border: 2px solid var(--catch-color);
  margin-right: 2rem;
}
.cv-and-contactme a:last-child {
  border: 2px solid #fff;
}

/* *********************************************************88
hire me section */

.hireMeNow {
  position: relative;
  margin: 12.9rem 0;
  width: 100%;
  height: 9rem;
  background-image: url(images/hireme.jpg);
  background-repeat: no-repeat;
  background-size: cover;
}
.hiremeOverlay {
  width: 100%;
  height: 100%;
  background-color: rgba(2, 3, 18, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
}
.hiremeOverlay > h3 {
  font-size: 2rem;
  font-weight: 200;
}
.hireMeNow a {
  position: absolute;
  bottom: -29.7%;
  left: 50%;
  font-size: 0.9rem;
  font-weight: 400;
  transform: translate(-50%, -50%);
  padding: 1rem 1rem;
  background-color: var(--catch-color);
  text-decoration: none;
  text-transform: uppercase;
}

/* *********************************************************
MY SKILLS SECTION */

.skillsContainer {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr;
  grid-gap: 2rem;
}
.skiilstitle {
  font-size: 2.5rem;
  font-weight: 400;
  margin-bottom: 6rem;
  text-align: center;
}

.skillsDescription > h4 {
  font-size: 1.7rem;
  font-weight: 200;
  margin-bottom: 1.5rem;
}
.skillsDescription p {
  margin-bottom: 1.5rem;
}
.skillsDescription a {
  text-decoration: none;
  padding: 1rem 1rem;
  border: 1px solid #fff;
  display: inline-block;
  margin-top: 1.5rem;
}
/* .skillsets div:not(:first-child) {
    margin: 2rem 0
}
.skillsets div>span:nth-child(2) {
    width: 100%;
    height: 2px;
    display: inline-block;
    background-color: var(--catch-color);
} */
.progressive-container {
  display: flex;
  flex-direction: row;
  background-color: darkgray;
  width: 100%;
  height: 1.2rem;
  border-radius: 1rem;
  margin: 1rem 0;
}
.progressive-container > div.progressiveBar {
  background-color: #ff5722;
  height: 100%;
  border-radius: 1rem;
  display: flex;
  align-items: center;
  justify-content: center;
}
.progressive-container > div.progressiveBar.js {
  flex-basis: 99%;
}
.progressive-container > div.progressiveBar.python {
  flex-basis: 95%;
}
.progressive-container > div.progressiveBar.php {
  flex-basis: 89%;
}
.progressive-container > div.progressiveBar.node {
  flex-basis: 94%;
}
.progressive-container > div.progressiveBar.react {
  flex-basis: 96%;
}
.progressive-container > div.progressiveBar.django {
  flex-basis: 84%;
}
.progressive-container > div.progressiveBar.html {
  flex-basis: 98%;
}
.progressive-container > div.progressiveBar.css {
  flex-basis: 90%;
}
.progressive-container > div.progressiveBar.sql {
  flex-basis: 93%;
}

/* ******************************************************************
PORTFOLIO SECTION  */

.portfolioTitle {
  font-size: 2rem;
  font-weight: 300;
  margin: 3rem 0 3rem 0;
}

.portfolioContainer {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(2, 1fr);
  grid-gap: 2rem;
}
.portfolioContainer div {
  display: flex;
  justify-content: center;
  align-items: center;
}
.portfolioContainer div a {
  text-decoration: none;
  font-size: 1.2rem;
}
.portfolioContainer .schoolAdmission {
  background: linear-gradient(rgba(2, 3, 18, 0.7), rgba(2, 3, 18, 0.7)),
    url(images/portfo/farm.png) center center;
  background-size: cover;
}

.portfolioContainer .ecommerce {
  background: linear-gradient(rgba(2, 3, 18, 0.7), rgba(2, 3, 18, 0.7)),
    url(images/portfo/assetmanager.png) center center;
  background-size: cover;
}

.portfolioContainer .chat {
  background: linear-gradient(rgba(2, 3, 18, 0.7), rgba(2, 3, 18, 0.7)),
    url(images/portfo/budget.png) center center;
  background-size: cover;
}
.portfolioContainer .jobTracker {
  background: linear-gradient(rgba(2, 3, 18, 0.7), rgba(2, 3, 18, 0.7)),
    url(images/portfo/jobTracker.png) center center;
  background-size: cover;
}
.portfolioContainer .humanResource {
  background: linear-gradient(rgba(2, 3, 18, 0.7), rgba(2, 3, 18, 0.7)),
    url(images/portfo/authentication.png) center center;
  background-size: cover;
}

.portfolioContainer .home {
  background: linear-gradient(rgba(2, 3, 18, 0.7), rgba(2, 3, 18, 0.7)),
    url(images/homeFinder.jpg) center center;
  background-size: cover;
}
.portfolioContainer .job {
  background: linear-gradient(rgba(2, 3, 18, 0.7), rgba(2, 3, 18, 0.7)),
    url(images/portfo/riti.png) center center;
  background-size: cover;
}
.portfolioContainer .paymentIntegration {
  background: linear-gradient(rgba(2, 3, 18, 0.7), rgba(2, 3, 18, 0.7)),
    url(images/portfo/assetplan.png) center center;
  background-size: cover;
}

.portfolioContainer .service {
  background: linear-gradient(rgba(2, 3, 18, 0.7), rgba(2, 3, 18, 0.7)),
    url(images/portfo/nicholas.png) center center;
  background-size: cover;
}
/* 
******************************************************
CLIENTS AND WORK STATISTIC */

.workstatistics {
  margin: 10rem 0;
  background: radial-gradient(
      circle,
      rgba(2, 3, 18, 0.4),
      rgba(2, 3, 18, 1),
      rgba(2, 3, 18, 1)
    ),
    url(images/happ.jpg) center center;
  background-size: cover;
  height: 15rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
.workstatistics div {
  flex-basis: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  height: auto;
}
.workstatistics div span:first-child {
  color: var(--catch-color);
  display: block !important;
  font-size: 2rem;
  margin-right: 3%;
}
.workstatistics div span:last-child {
  display: block;
  font-size: 1.5rem;
  opacity: 0.5;
}

/* ***************************************************************
GET IN TOUCH section */

#lets-communicate {
  background: linear-gradient(rgba(2, 3, 18, 0.7), rgba(2, 3, 18, 0.9)),
    url(images/light.jpg) center;
  background-size: cover;
  background-repeat: no-repeat;
  padding: 3rem 0 0 0;
}

.contact-me-section-title {
  display: flex;
  justify-content: center;
}

.get-in-touch {
  margin-bottom: 3rem;
  text-align: center;
  font-size: 2rem;
  font-weight: 300;
  padding: 1rem;
  border: 3px solid #fff;
  display: inline-block;
}
.contact-info-get-in-touch-section {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: 1fr;
  grid-gap: 2rem;
  margin-bottom: 4rem;
}

.contact-info-get-in-touch-section div img {
  margin: 1.5rem auto;
  display: block;
}
.contact-info-get-in-touch-section div li {
  text-align: center;
  line-height: 1.6rem;
}
.contact-info-get-in-touch-section div li:first-child {
  font-weight: 400;
  font-size: 1.3rem;
}
.contact-info-get-in-touch-section div li:not(:first-child) {
  opacity: 0.7;
}

.form-and-social-network-connect {
  display: grid;
  grid-template-columns: 1fr 2fr;
  grid-template-rows: 1fr;
  grid-gap: 2rem;
}

.social-network-connect h4 {
  font-size: 1.5rem;
  font-weight: 300;
  margin-bottom: 2rem;
}
.social-network-connect li {
  margin-bottom: 0.7rem;
}
.social-network-connect a {
  text-decoration: none;
}

.social-network-connect li > a > i {
  font-size: 1.6rem;
  padding: 0.5rem;
  border-radius: 50%;
  margin-left: 0.4rem;
  margin-right: 0.4rem;
  border: 1px solid #fff;
}
.form-contact-title {
  font-size: 1.5rem;
  font-weight: 300;
  margin-bottom: 2rem;
}

.contactForm {
  display: flex;
  flex-direction: column;
  margin-bottom: 2rem;
}

.formcontrol {
  display: inline-block;

  margin-bottom: 1rem;
}
.names-email {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.name {
  width: 50%;
  margin: 1rem 0;
  margin-right: 1rem;
}
.name input {
  width: 100%;
  background-color: rgba(255, 255, 255, 0.1);
  border: none;
  font-size: 1rem;
  padding: 1rem;
  outline: none;
}
.name input:focus {
  border: none;
}
.email {
  width: 50%;
  margin: 1rem 0;
}

.email input {
  width: 100%;
  background-color: rgba(255, 255, 255, 0.1);
  border: none;
  color: #fff;
  opacity: 0.8;
  font-size: 1rem;
  padding: 1rem;
  outline: none;
}
.email input:focus {
  border: none;
}

.contactForm textarea,
input {
  width: 100%;
  display: block;
}

.subject,
.textare {
  margin-bottom: 1rem;
}
.subject input,
.textare textarea {
  width: 100%;
  background-color: rgba(255, 255, 255, 0.1);
  border: none;
  color: #fff;
  font-size: 1rem;
  opacity: 0.8;
  font-size: 1rem;
  padding: 1rem;
  outline: none;
}
.send-message-btn {
  display: flex;
  justify-content: flex-end;
}
.send-message-btn button {
  padding: 1rem;
  background-color: var(--catch-color);
  border: none;
  font-size: 1rem;
}
/* 
*******************************************
FOOTER  */

footer {
  background-color: #f5f5f5;
  padding: 1rem 0;
}
footer span {
  color: black;
  opacity: 0.6;
  font-size: 0.85rem;
}
/* responsive  */

@media only screen and (max-width: 48rem) {
  header {
    background-color: #424242;
  }
  .menu-icon i {
    font-size: 1.2rem;
    color: rgb(255, 81, 0);
  }
  .container .header-wrapper .mobile {
    display: flex;
    color: black;
    justify-content: space-between;

    padding: 0.9rem 0;
  }
  .container .header-wrapper ul {
    display: none;
  }
  .content-area {
    grid-template-columns: 100%;
    margin-top: 3rem;
  }
  /* landing page */
  .landingSection {
    display: block;
    height: 85vh;
  }
  .leftcontent {
    width: 100%;
  }
  .social-networks ul {
    display: flex;
    justify-content: space-around;
  }

  .landing-content {
    width: 100%;
    margin-top: 6rem;
  }
  .landing-content h1 {
    font-size: 2rem;
  }
  .landing-page-image {
    display: none !important;
  }
  .badge {
    top: 0.6%;
    width: 2.5rem;
    height: 2.5rem;
  }
  /* about me section */
  .aboutmewrapper {
    display: flex;
    flex-direction: column;
  }
  .aboutmewrapper .myImage {
    display: none;
  }
  .cv-and-contactme {
    display: flex;
  }
  .cv-and-contactme a {
    font-size: 0.8rem;
    padding: 0.5rem 0.5rem;
  }

  /* service section */
  .serviceSectionContainer {
    display: flex;
    flex-direction: column;
  }
  /* .serviceSectionContainer div:first-child {
        border-top: 1px dotted #e0e0e0;
        padding-top: 2rem;
    } */
  .serviceSectionContainer div {
    margin-bottom: 1rem;
  }
  .serviceSectionContainer > div {
    border: 1px dotted #e0e0e0;
    padding: 1rem;
    border-radius: 1rem;
  }
  .serviceSectionContainer div img {
    display: block;
    margin: 0 auto;
  }
  .serviceSectionContainer div h3 {
    text-align: center;
    margin: 1rem 0;
  }
  .hireMeNow {
    height: 5rem;
    margin: 10rem 0;
  }
  .hireMeNow .hiremeOverlay h3 {
    font-size: 1rem;
  }
  .hireMeNow a {
    font-size: 0.8rem;
    padding: 0.5rem;
  }

  /* my skills  */
  .skillsContainer {
    display: flex;
    flex-direction: column;
  }
  .skiilstitle {
    margin-bottom: 1.5rem;
  }
  .skillsDescription {
    display: none;
  }

  /* portfolio */
  .portfolioTitle {
    text-align: center;
  }
  .portfolioContainer {
    display: flex;
    flex-direction: column;
  }
  .portfolioContainer div {
    min-width: 100%;
    min-height: 10rem;
    margin: 1rem 0;
    cursor: pointer;
  }

  /* work statistics */
  .workstatistics {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
  }
  .contact-info-get-in-touch-section {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
  }

  /* lets connect */
  .form-and-social-network-connect {
    display: block;
  }
  .social-network-connect ul {
    display: flex;
    margin-bottom: 1rem;
  }
  .form-contact-title {
    margin-top: 1.3rem;
    text-align: center;
  }
  .names-email {
    display: flex;
    flex-direction: column;
  }
  .name,
  .email {
    width: 100%;
  }
  .send-message-btn button {
    display: block;
    width: 100%;
  }
}
